org.apache.cassandra.io

## Interface ISSTableSerializer<T>

- All Known Implementing Classes:
    ColumnFamilySerializer, OnDiskAtom.Serializer, RangeTombstone.Serializer

      public interface ISSTableSerializer<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `deserializeFromSSTable(java.io.DataInput in, Version version)` Deserialize into the specified DataInputStream instance in the format suited for SSTables.
    `void` | `serializeForSSTable(T t, DataOutputPlus out)` Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.

- - ### Method Detail

    - #### serializeForSSTable

          void serializeForSSTable(T t,
                                   DataOutputPlus out)
                            throws java.io.IOException

      Serialize the specified type into the specified DataOutputStream instance in the format suited for SSTables.
      Parameters:
        `t` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserializeFromSSTable

          T deserializeFromSSTable(java.io.DataInput in,
                                   Version version)
                            throws java.io.IOException

      Deserialize into the specified DataInputStream instance in the format suited for SSTables.
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - the version for the sstable we're reading from
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation